Work image isn't loading
Status: Closed Start date: 09/06/2017

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.6.1   

Description

Associated revisions

Revision 827 - 09/07/2017 04:50 AM - lukemurphey

Fixing issue where the images weren't loading

Reference #2047

History

#1 - 09/06/2017 04:53 PM - Luke Murphey

2017-09-06 09:56:50,074 CST [ERROR] django.request: Internal Server Error: /work_image/nicomachean-ethics

Traceback (most recent call last):

  File "/var/virtualenv/textcritical_net/local/lib/python2.7/site-packages/django/core/handlers/base.py", line

 132, in get_response

    response = wrapped_callback(request, *callback_args, **callback_kwargs)

  File "/var/virtualenv/textcritical_net/local/lib/python2.7/site-packages/django/utils/decorators.py", line 1

27, in _wrapped_view

    return middleware.process_response(request, response)

  File "/var/virtualenv/textcritical_net/local/lib/python2.7/site-packages/django/middleware/cache.py", line 1

03, in process_response

    self.cache.set(cache_key, response, timeout)

  File "/var/virtualenv/textcritical_net/local/lib/python2.7/site-packages/django/core/cache/backends/filebase

d.py", line 58, in set

    f.write(zlib.compress(pickle.dumps(value), -1))

TypeError: expected string or Unicode object, NoneType found

#2 - 09/06/2017 04:54 PM - Luke Murphey

Getting a 404 to https://textcritical.net/work_image/ad-principem-ineruditum?width=100

#3 - 09/06/2017 05:00 PM - Luke Murphey

Observations:
Tried without the argument, that failed too.

Tested locally, it works

Does the URL exist on the server?

It does

Do other URLs with underscores work?

Beta code converter works

Is the title not the expected value?

It's the same as read_work

Could the server not recognize the URL because it hasn't been restarted?

Restarted, didn't help

Could the dash be the problem?

Tried with abdicatus, didn't work

https://textcritical.net/work_image/abdicatus?width=100

What happens if I hard-code the app to 'abdicatus'

That worked, along with removing the cache call

Its the cache call that is causing the problem

#4 - 09/06/2017 06:05 PM - Luke Murphey

Might want to cache the images in files

#5 - 09/06/2017 06:05 PM - Luke Murphey

- % Done changed from 0 to 60

#6 - 09/07/2017 04:49 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 60 to 100
